# Class DnaSequencePe

java.lang.Object
org.snpeff.binseq.BinarySequence
org.snpeff.binseq.DnaSequencePe

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<BinarySequence>`

public class DnaSequencePe extends BinarySequence
Pair end DNA sequence (binary packed) It consists of 2 DNA sequences separated by a gap.

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Coder`
`coder`

## Constructor Summary

Constructors
Constructor
Description
`DnaSequencePe(String seqStr)`
`DnaSequencePe(String seqStr1, String seqStr2, int gap)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(BinarySequence o)`
`int`
`getCode(int index)`
Return the code at position 'index'
`Coder`
`getCoder()`
Get sequence encoder invalid input: '&' decoder
`int`
`getGap()`
`DnaSequence`
`getSeq1()`
`DnaSequence`
`getSeq2()`
`String`
`getSequence()`
Get the sequence as a String
`int`
`hashCode()`
`int`
`intLen(int len)`
Calculate the length of a sequence
`int`
`length()`
Get sequence length
`DnaSequencePe`
`read(DataInputStream dataInStream)`
Read data in binary format
`protected void`
`readDataStream(DataInputStream dataInStream)`
Read data in binary format
`BinarySequence`
`reverseWc()`
Reverse Watson-Cricks complement
`void`
`set(String seqStr)`
Set sequence from a string
`void`
`setGap(int gap)`
`String`
`toString()`
`void`
`write(DataOutputStream dataOutStream)`
Write data in binary format

### Methods inherited from class BinarySequence

`clone, getBase, overlap, setQuality`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### coder

public static final Coder coder

## Constructor Details

### DnaSequencePe

public DnaSequencePe(String seqStr)

### DnaSequencePe

public DnaSequencePe(String seqStr1, String seqStr2, int gap)

## Method Details

### compareTo

public int compareTo(BinarySequence o)

### getCode

public int getCode(int index)
Description copied from class: `BinarySequence`
Return the code at position 'index'

Specified by:
  `getCode` in class `BinarySequence`

### getCoder

public Coder getCoder()
Description copied from class: `BinarySequence`
Get sequence encoder invalid input: '&' decoder

Specified by:
  `getCoder` in class `BinarySequence`

### getGap

public int getGap()

### getSeq1

public DnaSequence getSeq1()

### getSeq2

public DnaSequence getSeq2()

### getSequence

public String getSequence()
Description copied from class: `BinarySequence`
Get the sequence as a String

Specified by:
  `getSequence` in class `BinarySequence`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in class `BinarySequence`

### intLen

public int intLen(int len)
Calculate the length of a sequence

Parameters:
  `len` -
Returns:

### length

public int length()
Description copied from class: `BinarySequence`
Get sequence length

Specified by:
  `length` in class `BinarySequence`

### read

public DnaSequencePe read(DataInputStream dataInStream) throws IOException
Read data in binary format

Specified by:
  `read` in class `BinarySequence`
Parameters:
  `dataOutStream` -
Throws:
  `IOException`

### readDataStream

protected void readDataStream(DataInputStream dataInStream) throws IOException
Read data in binary format

Specified by:
  `readDataStream` in class `BinarySequence`
Parameters:
  `dataOutStream` -
Throws:
  `IOException`

### reverseWc

public BinarySequence reverseWc()
Description copied from class: `BinarySequence`
Reverse Watson-Cricks complement

Specified by:
  `reverseWc` in class `BinarySequence`

### set

public void set(String seqStr)
Description copied from class: `BinarySequence`
Set sequence from a string

Specified by:
  `set` in class `BinarySequence`
Parameters:
  `seqStr` -

### setGap

public void setGap(int gap)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### write

public void write(DataOutputStream dataOutStream) throws IOException
Write data in binary format

Specified by:
  `write` in class `BinarySequence`
Parameters:
  `dataOutStream` -
Throws:
  `IOException`